      SUBROUTINE CHECKIFALLSPACE(text,istart,icount,ispace)

C     RETURNS ISPACE=1 IF ALL BYTES ARE SPACES

      character*(*) text
 
      ispace=1
      inospace=0
      do 50 nn=istart,istart+icount-1

       if ( text(nn:nn) .ne. ' ' ) inospace=1

50    continue

      if ( inospace .eq. 1 ) ispace=0

      return
      end
